Bill

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class Bill

    java.lang.Object
      com.fenalco.entities.Bill

    public class Bill

extends java.lang.Object

Esta clase representa la tabla factura de la base de datos y encapsula cada una de las operaciones que sobre esta se puedan realizar : inserción, actualización, eliminación, consulta

Author:
  Andrés Romero Rodríguez

Field Summary
`private java.sql.Date` | `date` fecha en la cual fué generada la factura
`private java.util.Hashtable` | `details`
`private int` | `id` id de la factura en la base de datos
`private java.lang.String` | `status` estado de la factura en texto
`private int` | `statusId` estado de la factura
`private int` | `supplierId` id del proveedor sobre el cual se genera la factura
`private java.lang.String` | `supplierName` nombre del proveedor sobre el cual se genera la factura
`private double` | `value` valor de la factura

Constructor Summary
`Bill()` Constructor por omisión de la clase.
`Bill(int billId)` Constructor que recibe el id de la factura en la base de datos.

Method Summary
`boolean` | `delete(Transaction transaction)` Realiza una consulta SQL de tipo delete con el fin de eliminar la factura de la base de datos cuando se creo la instancia con el constructor que recibe el id como parámetro.
`java.sql.Date` | `getDate()` Consultor para el atributo date.
`java.util.Hashtable` | `getDetails()` Consultor para el atributo details.
`int` | `getId()` Consultor para el atributo id.
`java.lang.String` | `getStatus()` Getter for property state.
`int` | `getStatusId()` Consultor para el atributo statusId.
`int` | `getSupplierId()` Consultor para el atributo supplierId.
`java.lang.String` | `getSupplierName()` Consultor para el atributo supplierName.
`double` | `getValue()` Consultor para el atributo value.
`boolean` | `loadData(int billId)` Este método carga de la tabla factura de la base de datos todos los valores de los campos en los atributos de la clase Crea la consulta sql y llama al método query de la clase SQLUtilities
`boolean` | `saveData(Transaction transaction)` Este método guarda los atributos de la factura en la base de datos.
`void` | `setDate(java.sql.Date date)` Modificador para el atributo date.
`void` | `setDetails(java.util.Hashtable details)` Modificador para el atributo details.
`void` | `setId(int id)` Modificador para el atributo id.
`void` | `setState(java.lang.String status)` Setter for property state.
`void` | `setStatusId(int statusId)` Modificador para el atributo statusId.
`void` | `setSupplierId(int supplierId)` Modificador para el atributo supplierId.
`void` | `setSupplierName(java.lang.String supplierName)` Modificador para el atributo supplierName.
`void` | `setValue(double value)` Modificador para el atributo value.
`boolean` | `update(Transaction transaction)` Realiza una consulta SQL de tipo update con el fin de actualizar los campos de la factura modificados a través de los métodos setter.Para actualizar los datos en la tabla factura debe construir una consulta SQL de tipo update y la adiciona a la transacción que recibe como parámetro

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    private int id

  id de la factura en la base de datos

### supplierId

    private int supplierId

  id del proveedor sobre el cual se genera la factura

### supplierName

    private java.lang.String supplierName

  nombre del proveedor sobre el cual se genera la factura

### date

    private java.sql.Date date

  fecha en la cual fué generada la factura

### value

    private double value

  valor de la factura

### statusId

    private int statusId

  estado de la factura

### status

    private java.lang.String status

  estado de la factura en texto

### details

    private java.util.Hashtable details

Constructor Detail

### Bill

    public Bill()

  Constructor por omisión de la clase. Se debe usar para el caso de insertar una nueva factura en la base de datos.

### Bill

    public Bill(int billId)

  Constructor que recibe el id de la factura en la base de datos. Se debe usar en el caso de actualizaciones, borrado y consulta. Este constructor llama a la función miembro `loadData` con el parámetro billId con el fin de cargar los datos propios de esa factura que residen en la base de datos. Al usar este constructor si se desea modificar el valor de algún campo se deben utilizar los métodos consultores (setter).

  Parameters:
    `billId` - int que representa el id de la factura en la base de datos

Method Detail

### loadData

    public boolean loadData(int billId)

  Este método carga de la tabla factura de la base de datos todos los valores de los campos en los atributos de la clase Crea la consulta sql y llama al método query de la clase SQLUtilities

  Parameters:
    `billId` - identificador de la factura
  Returns:
    boolean que representa el exito del proceso de carga de los datos

### saveData

    public boolean saveData(Transaction transaction)

  Este método guarda los atributos de la factura en la base de datos. Se debe usar solo cuando se ha creado una instancia con el constructor por omisión. Para almacenar los datos en la tabla factura debe construir una consulta SQL de tipo insert esta consulta se adiciona a la transacción que se recibe usando el método `addSql`

  Parameters:
    `transaction` - Objeto de tipo Transaction que se usa para manejar transacciones
  Returns:
    boolean que representa el exito del proceso de inserción

### update

    public boolean update(Transaction transaction)

  Realiza una consulta SQL de tipo update con el fin de actualizar los campos de la factura modificados a través de los métodos setter.Para actualizar los datos en la tabla factura debe construir una consulta SQL de tipo update y la adiciona a la transacción que recibe como parámetro

  Parameters:
    `transaction` - transacción que se está ejecutando
  Returns:
    boolean que representa el exito del proceso de actualización

### delete

    public boolean delete(Transaction transaction)

  Realiza una consulta SQL de tipo delete con el fin de eliminar la factura de la base de datos cuando se creo la instancia con el constructor que recibe el id como parámetro. adiciona la consulta a la transacción que recibe como parámetro

  Parameters:
    `transaction` - transacción que se está ejecutando
  Returns:
    boolean que representa el exito del proceso de boorado

### getId

    public int getId()

  Consultor para el atributo id.

  Returns:
    Valor del atributo id.

### setId

    public void setId(int id)

  Modificador para el atributo id.

  Parameters:
    `id` - Nuevo valor del atributo id.

### getSupplierId

    public int getSupplierId()

  Consultor para el atributo supplierId.

  Returns:
    Valor del atributo supplierId.

### setSupplierId

    public void setSupplierId(int supplierId)

  Modificador para el atributo supplierId.

  Parameters:
    `supplierId` - Nuevo valor del atributo supplierId.

### getSupplierName

    public java.lang.String getSupplierName()

  Consultor para el atributo supplierName.

  Returns:
    Valor del atributo supplierName.

### setSupplierName

    public void setSupplierName(java.lang.String supplierName)

  Modificador para el atributo supplierName.

  Parameters:
    `supplierName` - Nuevo valor del atributo supplierName.

### getDate

    public java.sql.Date getDate()

  Consultor para el atributo date.

  Returns:
    Valor del atributo date.

### setDate

    public void setDate(java.sql.Date date)

  Modificador para el atributo date.

  Parameters:
    `date` - Nuevo valor del atributo date.

### getValue

    public double getValue()

  Consultor para el atributo value.

  Returns:
    Valor del atributo value.

### setValue

    public void setValue(double value)

  Modificador para el atributo value.

  Parameters:
    `value` - Nuevo valor del atributo value.

### getStatusId

    public int getStatusId()

  Consultor para el atributo statusId.

  Returns:
    Valor del atributo statusId.

### setStatusId

    public void setStatusId(int statusId)

  Modificador para el atributo statusId.

  Parameters:
    `stateId` - Nuevo valor del atributo statusId.

### getDetails

    public java.util.Hashtable getDetails()

  Consultor para el atributo details.

  Returns:
    Valor del atributo details.

### setDetails

    public void setDetails(java.util.Hashtable details)

  Modificador para el atributo details.

  Parameters:
    `details` - Nuevo valor del atributo details.

### getStatus

    public java.lang.String getStatus()

  Getter for property state.

  Returns:
    Value of property state.

### setState

    public void setState(java.lang.String status)

  Setter for property state.

  Parameters:
    `state` - New value of property state.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD